๐ New US500-BTC contract live! Learn more โ
cURL
curl --request GET \ --url https://api.roxom.com/v1/market/instruments \ --header 'X-API-Key: <api-key>' \ --header 'X-API-Signature: <api-key>'
{ "data": { "instruments": [ { "baseDecimals": 1, "btcUnit": "sats", "contractSize": 1, "id": "<string>", "instrumentType": "perpetual", "lotSizeFilter": { "maxLimitOrderValue": "<string>", "maxMarketOrderValue": "<string>", "minOrderValue": "<string>", "quantityTickSize": "<string>", "maxPositionValue": "<string>" }, "priceFilter": { "tickSize": "<string>", "marketOrderSlippage": "<string>", "maxOrderSlippage": "<string>" }, "quoteDecimals": 1, "status": "trading", "symbol": "<string>", "calendarFilter": { "calendarId": "<string>", "normalSessionEndTime": "<string>", "normalSessionStartTime": "<string>", "timezone": "<string>" }, "fundingFeeFilter": { "fundingFeePeriodMins": 123, "fundingFeeRateStep": "<string>", "maxFundingFeeRate": "<string>", "minFundingFeeRate": "<string>", "nextFundingTimeMs": 123 }, "marginTradingFilter": { "leverageStep": "<string>", "maintenanceMarginRatio": "<string>", "maxLeverage": "<string>", "minLeverage": "<string>" } } ] }, "error": true }
Retrieve information about all available trading instruments, including contract specifications and trading rules.
Your API key
The signature of the request
perpetual
spot
btc
digital
stock
index
sats
Represents a successful API response wrapper
Show child attributes
Was this page helpful?